/*
 * Copyright 2019 by Kappich Systemberatung Aachen
 * ALL RIGHTS RESERVED.
 */

package de.bsvrz.kex.kexdav.dafparameter;

/**
 * Listener-Interface das für die Benachrichtigung über Änderungen der Liste der ausgewählten Objekte in Regionen benutzt wird. Die ausgewählten Objekte in
 * Regionen können sich z.B. ändern, wenn ein neues Dynamisches Objekt angelegt wird, eine dynamische Menge sich ändert, oder die Definition der Region geändert
 * wird
 *
 * @author Kappich Systemberatung
 * @version $Revision: 0000 $
 */
public interface RegionChangeListener {

	/**
	 * Wird aufgerufen, wenn sich eine Region geändert hat
	 *
	 * @param region Region, die sich geändert hat
	 */
	void regionChanged(Region region);
}
